org.h2.test.store

## Class SequenceMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - org.h2.mvstore.MVMap<java.lang.Long,java.lang.Long>
    - - org.h2.test.store.SequenceMap

All Implemented Interfaces:
  java.util.concurrent.ConcurrentMap<java.lang.Long,java.lang.Long>, java.util.Map<java.lang.Long,java.lang.Long>

    public class SequenceMap
    extends MVMap<java.lang.Long,java.lang.Long>

A custom map returning the keys and values values 1 .. 10.

### Nested Class Summary

Nested Classes
`static class` `SequenceMap.Builder` A builder for this class.

### Nested classes/interfaces inherited from class org.h2.mvstore.MVMap

`MVMap.MapBuilder<M extends MVMap<K,V>,K,V>`

### Nested classes/interfaces inherited from class java.util.AbstractMap

`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`java.util.Map.Entry<K,V>`

### Field Summary

### Fields inherited from class org.h2.mvstore.MVMap

`root, store, writeVersion`

### Constructor Summary

Constructors
Constructor and Description
`SequenceMap()`

### Method Summary

Methods
`void` `init(MVStore store, java.util.HashMap<java.lang.String,java.lang.Object> config)` Open this map with the given store and configuration.
`java.util.Set<java.lang.Long>` `keySet()`

### Methods inherited from class org.h2.mvstore.MVMap

`areValuesEqual, beforeWrite, binarySearch, binarySearchPage, ceilingKey, clear, containsKey, cursor, entrySet, equals, firstKey, floorKey, get, getChildPageCount, getCreateVersion, getFirstLast, getId, getKey, getKeyIndex, getKeyType, getMinMax, getName, getRoot, getStore, getType, getValueType, getVersion, hashCode, higherKey, isClosed, isEmpty, isReadOnly, isVolatile, keyIterator, keyList, lastKey, lowerKey, newRoot, openVersion, put, put, putIfAbsent, remove, remove, remove, removePage, replace, replace, setVolatile, size, sizeAsLong, splitRootIfNeeded, toString`

### Methods inherited from class java.util.AbstractMap

`clone, containsValue, putAll, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`containsValue, putAll, values`

### Constructor Detail

#### SequenceMap

    public SequenceMap()

### Method Detail

#### init

    public void init(MVStore store,
            java.util.HashMap<java.lang.String,java.lang.Object> config)

Description copied from class: `MVMap`
Open this map with the given store and configuration.

Overrides:
  `init` in class `MVMap<java.lang.Long,java.lang.Long>`
Parameters:
  `store` - the store
  `config` - the configuration

#### keySet

    public java.util.Set<java.lang.Long> keySet()

Specified by:
  `keySet` in interface `java.util.Map<java.lang.Long,java.lang.Long>`
Overrides:
  `keySet` in class `MVMap<java.lang.Long,java.lang.Long>`